Fix the Use of intltool 0.40.0.
authorChristian Persch <chpe@src.gnome.org>
Thu, 26 Jun 2008 18:37:59 +0000 (18:37 +0000)
committerChristian Persch <chpe@src.gnome.org>
Thu, 26 Jun 2008 18:37:59 +0000 (18:37 +0000)
svn path=/trunk/; revision=2070

ChangeLog
Makefile.am
autogen.sh

index 67fc5d3..e1ddf9c 100644 (file)
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,9 @@
+2008-06-26  Christian Persch  <chpe@gnome.org>
+
+        * Makefile.am:
+        * autogen.sh: Fix the build from svn and make dist when using
+        intltool 0.40.0. Tarball builds still only require 0.35.0.
+
 2008-06-26  Christian Persch  <chpe@gnome.org>
 
        * src/vteversion.h.in: Disallow direct inclusion of the new
index f6b67a8..1c4453e 100644 (file)
@@ -1,7 +1,6 @@
 SUBDIRS = src python termcaps po doc
-EXTRA_DIST = MAINTAINERS HACKING vte.pc.in vte-uninstalled.pc.in \
-            intltool-extract.in intltool-merge.in intltool-update.in
-DISTCLEANFILES = intltool-extract intltool-merge intltool-update
+EXTRA_DIST = MAINTAINERS HACKING vte.pc.in vte-uninstalled.pc.in
+DISTCLEANFILES =
 
 if BUILD_GNOME_PTY_HELPER
 SUBDIRS += gnome-pty-helper
index d5f2268..3efa96f 100755 (executable)
@@ -4,8 +4,6 @@
 srcdir=`dirname $0`
 test -z "$srcdir" && srcdir=.
 
-REQUIRED_AUTOMAKE_VERSION=1.8
-
 PKG_NAME="vte"
 
 (test -f $srcdir/configure.in \
@@ -20,4 +18,9 @@ which gnome-autogen.sh || {
     echo "You need to install gnome-common from the GNOME SVN"
     exit 1
 }
-USE_GNOME2_MACROS=1 USE_COMMON_DOC_BUILD=yes . gnome-autogen.sh
+
+USE_COMMON_DOC_BUILD=yes
+REQUIRED_AUTOMAKE_VERSION=1.9
+REQUIRED_INTLTOOL_VERSION=0.40.0
+
+. gnome-autogen.sh